Loading...
Searching...
No Matches
Halide::Internal::Add Struct Reference

The sum of two expressions. More...

`#include <IR.h>`

Inheritance diagram for Halide::Internal::Add:

## Static Public Member Functions

static Expr | make (Expr a, Expr b)

## Public Attributes

Expr | a
Expr | b
Public Attributes inherited from Halide::Internal::BaseExprNode
Type | type
Public Attributes inherited from Halide::Internal::IRNode
RefCount | ref_count
| These classes are all managed with intrusive reference counting, so we also track a reference count.
IRNodeType | node_type
| Each IR node subclass has a unique identifier.

## Static Public Attributes

static const IRNodeType | _node_type = IRNodeType::Add

## Additional Inherited Members

Public Member Functions inherited from Halide::Internal::ExprNode< Add >
void | accept (IRVisitor *v) const override
| We use the visitor pattern to traverse IR nodes throughout the compiler, so we have a virtual accept method which accepts visitors.
Expr | mutate_expr (IRMutator *v) const override
| ExprNode ()
| ~ExprNode () override=default
Public Member Functions inherited from Halide::Internal::BaseExprNode
| BaseExprNode (IRNodeType t)
Public Member Functions inherited from Halide::Internal::IRNode
| IRNode (IRNodeType t)
virtual | ~IRNode ()=default

## Detailed Description

The sum of two expressions.

Definition at line 56 of file IR.h.

## Member Function Documentation

## make()

Expr Halide::Internal::Add::make | ( | Expr | a,
|  | Expr | b )

static

References a, and b.

## Member Data Documentation

## a

Expr Halide::Internal::Add::a

Definition at line 57 of file IR.h.

Referenced by make().

## b

Expr Halide::Internal::Add::b

Definition at line 57 of file IR.h.

Referenced by make().

## _node_type

const IRNodeType Halide::Internal::Add::_node_type = IRNodeType::Add

static

Definition at line 61 of file IR.h.

The documentation for this struct was generated from the following file:

- src/IR.h